Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2338)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2341)
@@ -1,24 +1,4 @@
 #!/bin/ksh
 #-----------------------------------------------------------------
-function LMDZ_sed_xml
-{
-# Usage : LMDZ_sed_xml xml_file output_file attribute value 
-#         In file xml_file modify at the line containing id="output_file" the attribute "attribute=xxx" into "attribute=value"
-
-    IGCM_debug_PushStack "LMDZ_sed_xml"
-    # Test if the fichier exist
-    if [ ! -f ${1} ] ; then
-      echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed_xml : ${1} ${2} ${3} ${4}"
-      IGCM_debug_PopStack "LMDZ_sed_xml"
-      return
-    fi
-    sed -e "/id=\"${2}\"/s/\(${3}=\"\)[^\"]*\(\"\)/\1${4}\2/" ${1} > ${1}.tmp
-    RET=$?
-    echo "LMDZ_sed_xml : ${1} ${2} ${3} ${4}"
-    \mv ${1}.tmp ${1}
-    IGCM_debug_PopStack "LMDZ_sed_xml"
-    return $RET
-}
-
 function ATM_Initialize
 {
@@ -359,75 +339,75 @@
     # XIOS XML definition
     # Default init : files are desactivated
-	LMDZ_sed_xml file_def_histmth_lmdz.xml histmth enabled .FALSE. 
-	LMDZ_sed_xml file_def_histday_lmdz.xml histday enabled .FALSE. 
-	LMDZ_sed_xml file_def_histhf_lmdz.xml histhf enabled .FALSE.
-	LMDZ_sed_xml file_def_histfh3h_lmdz.xml histfh3h enabled .FALSE.
-	LMDZ_sed_xml file_def_histhf3hm_lmdz.xml histfh3hm enabled .FALSE.
-	LMDZ_sed_xml file_def_histstn_lmdz.xml histstn enabled .FALSE.
-	LMDZ_sed_xml file_def_histmthNMC_lmdz.xml histmthNMC enabled .FALSE.
-	LMDZ_sed_xml file_def_histdayNMC_lmdz.xml histdayNMC enabled .FALSE.
-	LMDZ_sed_xml file_def_histhfNMC_lmdz.xml histhfNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histmth_lmdz.xml histmth enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histfh3h_lmdz.xml histfh3h enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histhf3hm_lmdz.xml histfh3hm enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histstn_lmdz.xml histstn enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histmthNMC_lmdz.xml histmthNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC enabled .FALSE.
+	IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC enabled .FALSE.
 	if [ X${lmdz_UserChoices_XIOS}  = Xy ] ; then
     # Default output level : 5
-	    LMDZ_sed_xml file_def_histmth_lmdz.xml histmth output_level 5 
-	    LMDZ_sed_xml file_def_histday_lmdz.xml histday output_level 5 
-	    LMDZ_sed_xml file_def_histhf_lmdz.xml histhf output_level 5
-	    LMDZ_sed_xml file_def_histfh3h_lmdz.xml histfh3h output_level 5
-	    LMDZ_sed_xml file_def_histhf3hm_lmdz.xml histfh3hm output_level 5
-	    LMDZ_sed_xml file_def_histstn_lmdz.xml histstn output_level 5
-	    LMDZ_sed_xml file_def_histmthNMC_lmdz.xml histmthNMC output_level 5
-	    LMDZ_sed_xml file_def_histdayNMC_lmdz.xml histdayNMC output_level 5
-	    LMDZ_sed_xml file_def_histhfNMC_lmdz.xml histhfNMC output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histmth_lmdz.xml histmth output_level 5 
+	    IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday output_level 5 
+	    IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histfh3h_lmdz.xml histfh3h output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histhf3hm_lmdz.xml histfh3hm output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histstn_lmdz.xml histstn output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histmthNMC_lmdz.xml histmthNMC output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC output_level 5
+	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC output_level 5
      # Filling of XML files 
 	if [ X${ok_mensuel} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histmth_lmdz.xml histmth enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histmth_lmdz.xml histmth output_freq 1mo
-	    LMDZ_sed_xml file_def_histmth_lmdz.xml histmth name histmth
+	    IGCM_comp_modifyXmlFile force file_def_histmth_lmdz.xml histmth enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histmth_lmdz.xml histmth output_freq 1mo
+	    IGCM_comp_modifyXmlFile force file_def_histmth_lmdz.xml histmth name histmth
 	fi
 	if [ X${ok_journe} = Xy ] ; then	
-	    LMDZ_sed_xml file_def_histday_lmdz.xml histday enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histday_lmdz.xml histday output_freq 1d
-	    LMDZ_sed_xml file_def_histday_lmdz.xml histday name histday
+	    IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday output_freq 1d
+	    IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday name histday
 	    if [ X${OutLevel} = Xlow ] || [ X${OutLevel} = Xmedium ] ; then
-		LMDZ_sed_xml file_def_histday_lmdz.xml histday output_level 2
+		IGCM_comp_modifyXmlFile force file_def_histday_lmdz.xml histday output_level 2
 	    fi
 	fi
 	if [ X${ok_hf} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histhf_lmdz.xml histhf enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histhf_lmdz.xml histhf output_freq 6h
-	    LMDZ_sed_xml file_def_histhf_lmdz.xml histhf name histhf
+	    IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf output_freq 6h
+	    IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf name histhf
 	    if [ X${OutLevel} = Xlow ] ; then
-		LMDZ_sed_xml file_def_histhf_lmdz.xml histhf output_level 2
+		IGCM_comp_modifyXmlFile force file_def_histhf_lmdz.xml histhf output_level 2
 	    fi
 	fi	
 	if [ X${ok_hf3h} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histhf3h_lmdz.xml histhf3h enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histhf3h_lmdz.xml histhf3h output_freq 3h
-	    LMDZ_sed_xml file_def_histhf3h_lmdz.xml histhf3h name histhf3h
+	    IGCM_comp_modifyXmlFile force file_def_histhf3h_lmdz.xml histhf3h enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhf3h_lmdz.xml histhf3h output_freq 3h
+	    IGCM_comp_modifyXmlFile force file_def_histhf3h_lmdz.xml histhf3h name histhf3h
 	fi	
 	if [ X${ok_hf3hm} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histhf3hm_lmdz.xml histhf3hm enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histhf3hm_lmdz.xml histhf3hm output_freq 3h
-	    LMDZ_sed_xml file_def_histhf3hm_lmdz.xml histhf3hm name histhf3hm
+	    IGCM_comp_modifyXmlFile force file_def_histhf3hm_lmdz.xml histhf3hm enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhf3hm_lmdz.xml histhf3hm output_freq 3h
+	    IGCM_comp_modifyXmlFile force file_def_histhf3hm_lmdz.xml histhf3hm name histhf3hm
 	fi
 	if [ X${ok_stn} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histstn_lmdz.xml histstn enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histstn_lmdz.xml histstn output_freq 1800s
-	    LMDZ_sed_xml file_def_histstn_lmdz.xml histstn name histstn
+	    IGCM_comp_modifyXmlFile force file_def_histstn_lmdz.xml histstn enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histstn_lmdz.xml histstn output_freq 1800s
+	    IGCM_comp_modifyXmlFile force file_def_histstn_lmdz.xml histstn name histstn
 	fi
 	if [ X${LMDZ_NMC_monthly} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histmthNMC_lmdz.xml histmthNMC enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histmthNMC_lmdz.xml histmthNMC output_freq 1mo
-	    LMDZ_sed_xml file_def_histmthNMC_lmdz.xml histmthNMC name histmthNMC
+	    IGCM_comp_modifyXmlFile force file_def_histmthNMC_lmdz.xml histmthNMC enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histmthNMC_lmdz.xml histmthNMC output_freq 1mo
+	    IGCM_comp_modifyXmlFile force file_def_histmthNMC_lmdz.xml histmthNMC name histmthNMC
 	fi
 	if [ X${LMDZ_NMC_daily} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histdayNMC_lmdz.xml histdayNMC enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histdayNMC_lmdz.xml histdayNMC output_freq 1d
-	    LMDZ_sed_xml file_def_histdayNMC_lmdz.xml histdayNMC name histdayNMC
+	    IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC output_freq 1d
+	    IGCM_comp_modifyXmlFile force file_def_histdayNMC_lmdz.xml histdayNMC name histdayNMC
 	fi
 	if [ X${LMDZ_NMC_hf} = Xy ] ; then
-	    LMDZ_sed_xml file_def_histhfNMC_lmdz.xml histhfNMC enabled .TRUE. 
-	    LMDZ_sed_xml file_def_histhfNMC_lmdz.xml histhfNMC output_freq 6h
-	    LMDZ_sed_xml file_def_histhfNMC_lmdz.xml histhfNMC name histhfNMC
+	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC output_freq 6h
+	    IGCM_comp_modifyXmlFile force file_def_histhfNMC_lmdz.xml histhfNMC name histhfNMC
 	fi
     fi
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2338)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2341)
@@ -1,39 +1,4 @@
 #!/bin/ksh
-
 #D- Driver du script pour ORCHIDEE
-
-function ORCHIDEE_sed
-{
-    IGCM_debug_PushStack "ORCHIDEE_sed"
-    
-    sed -e "s/^${1}\ *=.*/${1}= ${2}/" \
-	orchidee.def > orchidee.def.tmp
-    RET=$?
-    echo "ORCHIDEE_sed : ${1} ${2}"
-    \mv orchidee.def.tmp orchidee.def
-    
-    IGCM_debug_PopStack "ORCHIDEE_sed"
-    return $RET
-}
-
-function ORCHIDEE_sed_xml
-{
-# Usage : ORCHIDEE_sed_xml xml_file output_file attribute value 
-#         In file xml_file modify at the line containing id="output_file" the attribute "attribute=xxx" into "attribute=value"
-    
-    # Test if the fichier exist
-    if [ ! -f ${1} ] ; then
-	echo "WARNING : ${1} file does not exist. Following will not be done : ORCHIDEE_sed : ${1} ${2} ${3} ${4}"
-        IGCM_debug_PopStack "ORCHIDEE_sed_xml"
-	return
-    fi
-    sed -e "/id=\"${2}\"/s/\(${3}=\"\)[^\"]*\(\"\)/\1${4}\2/" ${1} > ${1}.tmp
-    RET=$?
-    echo "ORCHIDEE_sed : ${1} ${2} ${3} ${4}"
-    \mv ${1}.tmp ${1}
-
-    return $RET
-}
-
 #-----------------------------------------------------------------
 function SRF_Initialize
@@ -76,6 +41,6 @@
 
     if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-	ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .FALSE. 
-	ORCHIDEE_sed_xml file_def_orchidee.xml sechiba2 enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba2 enabled .FALSE. 
 	IGCM_comp_modifyDefFile nonblocker orchidee.def XIOS_ORCHIDEE_OK y
     else
@@ -90,14 +55,14 @@
 	    (( SECHIBA_WRITE_STEP = PeriodLengthInDays * WriteInYears / PeriodLengthInYears * 86400 )) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq ${WriteInYears}y
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq ${WriteInYears}y
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    ;;
 	1M)
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq 1mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq 1mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    case ${config_UserChoices_PeriodLength} in
@@ -116,7 +81,7 @@
 	    WriteInMonths=$( echo ${SRF_WriteFrequency} | awk -F '[mM]' '{print $1}' )
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq ${WriteInMonths}mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq ${WriteInMonths}mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    case ${config_UserChoices_PeriodLength} in
@@ -132,7 +97,7 @@
 		(( SECHIBA_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) * 86400 ))
 		if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq ${SECHIBA_WRITE_STEP}s
-		    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq ${SECHIBA_WRITE_STEP}s
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history
 		fi
 		;;
@@ -141,7 +106,7 @@
 	5D|5d) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq 5d
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq 5d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    (( SECHIBA_WRITE_STEP = 5 * 86400 )) 
@@ -149,7 +114,7 @@
 	1D|1d) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq 1d
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq 1d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    (( SECHIBA_WRITE_STEP = 86400 )) 
@@ -158,7 +123,7 @@
 	    WriteInSeconds=$( echo ${SRF_WriteFrequency} | awk -F '[s]' '{print $1}' )
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq ${WriteInSeconds}s
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq ${WriteInSeconds}s
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
 	    fi
 	    (( SECHIBA_WRITE_STEP = WriteInSeconds )) ;;
@@ -180,7 +145,7 @@
 	IGCM_comp_modifyDefFile nonblocker orchidee.def SECHIBA_HISTFILE2 y
 	if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-	    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba2 enabled .TRUE. 
-	    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba2 output_freq 10800s
-	    ORCHIDEE_sed_xml file_def_orchidee.xml sechiba2 name sechiba_out_2
+	    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba2 enabled .TRUE. 
+	    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba2 output_freq 10800s
+	    IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba2 name sechiba_out_2
 	fi
     else
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver	(revision 2338)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/stomate.driver	(revision 2341)
@@ -21,6 +21,6 @@
 
     if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-	ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .FALSE. 
-	ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .FALSE. 
+	IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .FALSE. 
     fi   
     case ${config_SBG_WriteFrequency} in
@@ -30,10 +30,10 @@
 	    (( STOMATE_WRITE_STEP = PeriodLengthInDays * WriteInYears / PeriodLengthInYears )) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq ${WriteInYears}y
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq ${WriteInYears}y
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq ${WriteInYears}y
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq ${WriteInYears}y
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 
 	    fi
@@ -41,10 +41,10 @@
 	1M|1m) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq 1mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq 1mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq 1mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq 1mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 	    fi
 	    case ${config_UserChoices_PeriodLength} in
@@ -62,10 +62,10 @@
 	    WriteInMonths=$( echo ${config_SBG_WriteFrequency} | awk -F '[mM]' '{print $1}' )
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq ${WriteInMonths}mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq ${WriteInMonths}mo
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq ${WriteInMonths}mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq ${WriteInMonths}mo
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 	    fi
 	    case ${config_UserChoices_PeriodLength} in
@@ -81,10 +81,10 @@
 		(( STOMATE_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) )) 
 		if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq ${STOMATE_WRITE_STEP}s
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq ${STOMATE_WRITE_STEP}s
-		    ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq ${STOMATE_WRITE_STEP}s
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq ${STOMATE_WRITE_STEP}s
+		    IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history
 		fi
 		;;
@@ -94,10 +94,10 @@
 	    (( STOMATE_WRITE_STEP = 5 ))
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq 5d
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq 5d
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq 5d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq 5d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 	    fi
 	    ;;
@@ -105,10 +105,10 @@
 	    (( STOMATE_WRITE_STEP = 1 )) 
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 output_freq 1d
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate1 name stomate_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq 1d
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 output_freq 1d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate1 name stomate_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq 1d
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 	    fi
 	    ;;
@@ -116,10 +116,10 @@
 	    WriteInSeconds=$( echo ${config_SBG_WriteFrequency} | awk -F '[s]' '{print $1}' )
 	    if [ X${orchidee_UserChoices_XIOS} = Xy ] ; then
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 output_freq ${WriteInSeconds}s
-		ORCHIDEE_sed_xml file_def_orchidee.xml sechiba1 name sechiba_history 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 enabled .TRUE. 
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 output_freq ${WriteInSeconds}s
-		ORCHIDEE_sed_xml file_def_orchidee.xml stomate2 name stomate_ipcc_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 output_freq ${WriteInSeconds}s
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml sechiba1 name sechiba_history 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 enabled .TRUE. 
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 output_freq ${WriteInSeconds}s
+		IGCM_comp_modifyXmlFile force file_def_orchidee.xml stomate2 name stomate_ipcc_history 
 	    fi
 	    (( STOMATE_WRITE_STEP = 1 )) ;;
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/xios.driver	(revision 2338)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/xios.driver	(revision 2341)
@@ -1,23 +1,3 @@
 #!/bin/ksh
-
-function XIOS_sed_xml
-{
-# Usage : XIOS_sed_xml xml_file attribute value 
-#         In file xml_file modify at the line containing id="attribute" the attribute value ">value<" 
-    IGCM_debug_PushStack "XIOS_sed_xml"
-    # Test if the fichier exist
-    if [ ! -f ${1} ] ; then
-	echo "WARNING : ${1} file does not exist. Following will not be done : XIOS_sed_xml : ${1} ${2} ${3}"
-        IGCM_debug_PopStack "XIOS_sed_xml"
-	return
-    fi
-    sed -e "s/\(<[^\"]*\"${2}\".*>\)\([^<]*\)\(<[^>]*\)/\1${3}\3/" ${1} > ${1}.tmp
-    RET=$?
-    echo "XIOS_sed_xml" : ${1} ${2} ${3}
-    \mv ${1}.tmp ${1}
-    IGCM_debug_PopStack "XIOS_sed_xml"
-    return $RET
-}
-
 #-----------------------------------
 function IOS_Initialize
@@ -37,8 +17,8 @@
     echo UPDATE IOS !!!
 # Activate server mode
-    XIOS_sed_xml iodef.xml using_server true
+    IGCM_comp_modifyXmlfile force iodef.xml using_server NONE true
 # If lmdz_UserChoices_XIOS=y add LMDZ as component id :
     if [ X${lmdz_UserChoices_XIOS}  = Xy ] ; then
-	XIOS_sed_xml iodef.xml oasis_codes_id LMDZ,oceanx
+	IGCM_comp_modifyXmlFile force iodef.xml oasis_codes_id NONE LMDZ,oceanx
     fi 
     if [ -f namcouple ] ; then