Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 2351)
+++ modipsl/trunk/util/mod.def	(revision 2360)
@@ -51,5 +51,5 @@
 #-H- libIGCM  libIGCM latest tagged version 
 #-M- libIGCM  Sebastien.Denvil@ipsl.jussieu.fr
-#-C- libIGCM  tags/libIGCM_v2.3    HEAD  10 libIGCM    .
+#-C- libIGCM  tags/libIGCM_v2.4    HEAD  10 libIGCM    .
 
  
@@ -63,16 +63,16 @@
 #-H- IPSLCM5_v5  XMLIO_SERVER svn trunk revision 427
 #-H- IPSLCM5_v5  IOIPSL/src svn tags/v2_2_2
-#-H- IPSLCM5_v5  LMDZ5 trunk revision 2064
+#-H- IPSLCM5_v5  LMDZ5 trunk revision 2076
 #-H- IPSLCM5_v5  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5_v5  OASIS3 rev 2040 trunk
+#-H- IPSLCM5_v5  OASIS3 rev 2258 trunk
 #-H- IPSLCM5_v5  IPSLCM5_v5 svn 
-#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM5_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5_v5  IOIPSL/tags/v2_2_2/src        HEAD         8  IOIPSL/src     modeles
 #-C- IPSLCM5_v5  tags/ORCHIDEE_1_9_5/ORCHIDEE  HEAD        14  ORCHIDEE	      modeles
-#-C- IPSLCM5_v5  CPL/oasis3/trunk              2040         8  prism          .
+#-C- IPSLCM5_v5  CPL/oasis3/trunk              2258         8  prism          .
 #-C- IPSLCM5_v5  LMDZ5/trunk                   2076        11  LMDZ           modeles
 #-C- IPSLCM5_v5  CONFIG/UNIFORM/v5/IPSLCM5_v5  HEAD         8  IPSLCM5_v5     config
-#-C- IPSLCM5_v5  tags/libIGCM_v2.3             HEAD        10  libIGCM        .
+#-C- IPSLCM5_v5  tags/libIGCM_v2.4             HEAD        10  libIGCM        .
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/NEMO      3205         7  .              modeles
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/UTIL      3405         7  .              modeles
@@ -90,5 +90,5 @@
 #-H- IPSLCM6_rc0  OASIS3-MCT 2.0_branch rev 911
 #-H- IPSLCM6_rc0  IPSLCM6 svn
-#-H- IPSLCM6_rc0  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM6_rc0  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM6_rc0  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6_rc0  IOIPSL/tags/v2_2_2/src                    HEAD         8  IOIPSL/src     modeles
@@ -97,5 +97,5 @@
 #-C- IPSLCM6_rc0  LMDZ5/trunk                               2097        11  LMDZ           modeles
 #-C- IPSLCM6_rc0  CONFIG/UNIFORM/v6/IPSLCM6                 HEAD         8  IPSLCM6        config
-#-C- IPSLCM6_rc0  trunk/libIGCM                             1074        10  libIGCM        .
+#-C- IPSLCM6_rc0  tags/libIGCM_v2.4                         HEAD        10  libIGCM        .
 #-C- IPSLCM6_rc0  trunk/NEMOGCM                             4624         7  .              modeles
 #-C- IPSLCM6_rc0  XIOS/trunk                                 483        12  XIOS           modeles
@@ -111,14 +111,14 @@
 #-H- IPSLCM5A  LMDZ4 branches LMDZ4_AR5 revision 2063
 #-H- IPSLCM5A  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5A  OASIS3 rev 2040 trunk
+#-H- IPSLCM5A  OASIS3 rev 2258 trunk
 #-H- IPSLCM5A  IPSLCM5A svn 
-#-H- IPSLCM5A  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5A  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM5A  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
 #-C- IPSLCM5A  ORCHIDEE            orchidee_1_9_5         2  .          modeles
-#-C- IPSLCM5A  CPL/oasis3/trunk              2040         8  prism      .
+#-C- IPSLCM5A  CPL/oasis3/trunk              2258         8  prism      .
 #-C- IPSLCM5A  LMDZ4/branches/LMDZ4_AR5/     2063        11  LMDZ4      modeles
 #-C- IPSLCM5A  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A   config
-#-C- IPSLCM5A  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
+#-C- IPSLCM5A  tags/libIGCM_v2.4             HEAD        10  libIGCM    .
 #-C- IPSLCM5A  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5A  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -133,16 +133,16 @@
 #-H- IPSLCM5B  XMLIO_SERVER svn trunk revision 427
 #-H- IPSLCM5B  IOIPSL/src svn tags/v2_2_1
-#-H- IPSLCM5B  LMDZ5 branch LMDZ5_AR5 inculding LMDZ new physics
+#-H- IPSLCM5B  LMDZ5 branch LMDZ5_AR5 including LMDZ new physics
 #-H- IPSLCM5B  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5B  OASIS3 rev 2040 trunk
+#-H- IPSLCM5B  OASIS3 rev 2258 trunk
 #-H- IPSLCM5B  IPSLCM5B svn 
-#-H- IPSLCM5B  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5B  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM5B  laurent.fairhead@lmd.jussieu.fr
 #-C- IPSLCM5B  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
 #-C- IPSLCM5B  ORCHIDEE            orchidee_1_9_5         2  .          modeles
-#-C- IPSLCM5B  CPL/oasis3/trunk              2040         8  prism      .
-#-C- IPSLCM5B  LMDZ5/branches/LMDZ5_AR5      1730        11  LMDZ5      modeles
+#-C- IPSLCM5B  CPL/oasis3/trunk              2258         8  prism      .
+#-C- IPSLCM5B  LMDZ5/branches/LMDZ5_AR5      2063        11  LMDZ5      modeles
 #-C- IPSLCM5B  CONFIG/IPSLCM/IPSLCM5B        HEAD         8  IPSLCM5B   config
-#-C- IPSLCM5B  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
+#-C- IPSLCM5B  tags/libIGCM_v2.4             HEAD        10  libIGCM    .
 #-C- IPSLCM5B  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5B  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -156,16 +156,16 @@
 #-H- IPSLCM5A_C  XMLIO_SERVER svn trunk revision 427
 #-H- IPSLCM5A_C  IOIPSL/src svn tags/v2_2_1
-#-H- IPSLCM5A_C  LMDZ4 branches LMDZ4_AR5 revision 1743
+#-H- IPSLCM5A_C  LMDZ4 branches LMDZ4_AR5 revision 2063
 #-H- IPSLCM5A_C  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5A_C  OASIS3 rev 2040 trunk
+#-H- IPSLCM5A_C  OASIS3 rev 2258 trunk
 #-H- IPSLCM5A_C  IPSLCM5A svn 
-#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2..
 #-M- IPSLCM5A_C  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A_C  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
 #-C- IPSLCM5A_C  ORCHIDEE          orchidee_1_9_5_1         2  .          modeles
-#-C- IPSLCM5A_C  CPL/oasis3/trunk              2040         8  prism      .
-#-C- IPSLCM5A_C  LMDZ4/branches/LMDZ4_AR5/     1743        11  LMDZ4      modeles
+#-C- IPSLCM5A_C  CPL/oasis3/trunk              2258         8  prism      .
+#-C- IPSLCM5A_C  LMDZ4/branches/LMDZ4_AR5/     2063        11  LMDZ4      modeles
 #-C- IPSLCM5A_C  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A_C config
-#-C- IPSLCM5A_C  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
+#-C- IPSLCM5A_C  tags/libIGCM_v2.4             HEAD        10  libIGCM    .
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/NEMO      2763         7  .          modeles
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/UTIL      2763         7  .          modeles
@@ -207,5 +207,5 @@
 #-C- LMDZOR_v6  CONFIG/UNIFORM/v6/LMDZOR_v6        HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6  trunk/libIGCM                      1074    10   libIGCM      .
+#-C- LMDZOR_v6  tags/libIGCM_v2.4                  1074    10   libIGCM      .
 
 
@@ -217,5 +217,5 @@
 #-C- LMDZOR_v5  LMDZ5/trunk                           2076               11 LMDZ       modeles
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
-#-C- LMDZOR_v5  tags/libIGCM_v2.3                     HEAD               10 libIGCM    .
+#-C- LMDZOR_v5  tags/libIGCM_v2.4                     HEAD               10 libIGCM    .
 
 
@@ -229,5 +229,5 @@
 #-C- LMDZOR_v5.2  CONFIG/UNIFORM/v5/LMDZOR_v5.2       HEAD               8  LMDZOR_v5.2 config
 #-C- LMDZOR_v5.2  trunk/ORCHIDEE_OL                   HEAD		 14 ORCHIDEE_OL config
-#-C- LMDZOR_v5.2  tags/libIGCM_v2.3                   HEAD               10 libIGCM     .
+#-C- LMDZOR_v5.2  tags/libIGCM_v2.4                   HEAD               10 libIGCM     .
 
 #-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
@@ -236,8 +236,8 @@
 #-C- LMDZOR_v4  IOIPSL/tags/v2_2_1/src            HEAD               8  IOIPSL/src modeles
 #-C- LMDZOR_v4  ORCHIDEE                          orchidee_1_9_5     2  .          modeles
-#-C- LMDZOR_v4  LMDZ5/trunk                       1628               11 LMDZ       modeles
+#-C- LMDZOR_v4  LMDZ5/trunk                       2076               11 LMDZ       modeles
 ##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.3                 HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.4                 HEAD               10 libIGCM    .
 
 #---- Configuraion with only LMDZ
@@ -248,5 +248,5 @@
 #-C- LMDZ_v5  LMDZ5/trunk                         2076               11 LMDZ       modeles
 #-C- LMDZ_v5  CONFIG/UNIFORM/v5/LMDZ_v5           HEAD               8  LMDZ_v5    config
-#-C- LMDZ_v5  tags/libIGCM_v2.3                   HEAD               10 libIGCM    .
+#-C- LMDZ_v5  tags/libIGCM_v2.4                   HEAD               10 libIGCM    .
 
 
@@ -257,14 +257,14 @@
 #-H- LMDZORINCA  INCA trunk INCA3 rev 245
 #-H- LMDZORINCA  LMDZ4 LMDZ4/branches/LMDZ4_AR5/  
-#-H- LMDZORINCA  LMDZ5 (CREATE_E0) for ce0l LMDZ5/trunk 1729	
+#-H- LMDZORINCA  LMDZ5 (CREATE_E0) for ce0l LMDZ5/trunk 2076	
 #-H- LMDZORINCA  IOIPSL/src svn tags/v2_2_1
-#-H- LMDZORINCA  libIGCM tag libIGCM_v2.3
+#-H- LMDZORINCA  libIGCM tag libIGCM_v2.4
 #-M- LMDZORINCA  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA  IOIPSL/tags/v2_2_1/src			HEAD			8	IOIPSL/src	modeles
 #-C- LMDZORINCA  ORCHIDEE				orchidee_1_9_5		2	.		modeles
-#-C- LMDZORINCA  LMDZ5/trunk				1531			11	CREATE_E0	modeles
-#-C- LMDZORINCA  LMDZ4/branches/LMDZ4_AR5/     		1567   			11	LMDZ		modeles
+#-C- LMDZORINCA  LMDZ5/trunk				2076			11	CREATE_E0	modeles
+#-C- LMDZORINCA  LMDZ4/branches/LMDZ4_AR5/     		2063   			11	LMDZ		modeles
 #-C- LMDZORINCA  trunk/INCA3				255			9	INCA3		modeles
-#-C- LMDZORINCA  tags/libIGCM_v2.3      		HEAD			10	libIGCM		.
+#-C- LMDZORINCA  tags/libIGCM_v2.4      		HEAD			10	libIGCM		.
 #-C- LMDZORINCA  CONFIG/LMDZORINCA/tags/LMDZORINCA_v2	HEAD			8	LMDZORINCA	config
 
@@ -275,5 +275,5 @@
 #-H- LMDZORINCA_v5  LMDZ5 LMDZ5/trunk rev 2076
 #-H- LMDZORINCA_v5  IOIPSL/src svn tags/v2_2_2
-#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.3
+#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.4
 #-M- LMDZORINCA_v5  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5  IOIPSL/trunk/src			2350			8	IOIPSL/src	modeles
@@ -281,15 +281,15 @@
 #-C- LMDZORINCA_v5  LMDZ5/trunk				2076			11 	LMDZ		modeles
 #-C- LMDZORINCA_v5  tags/INCA4.1.3			HEAD			9	INCA		modeles
-#-C- LMDZORINCA_v5  tags/libIGCM_v2.3    		HEAD			10	libIGCM		.
+#-C- LMDZORINCA_v5  tags/libIGCM_v2.4    		HEAD			10	libIGCM		.
 #-C- LMDZORINCA_v5  CONFIG/UNIFORM/v5/LMDZORINCA_v5	HEAD			8	LMDZORINCA_v5	config
 
 #-H- LMDZORINCA_v5.2  LMDZ with ORCHIDEE and INCA 
 #-H- LMDZORINCA_v5.2  This is a working configuration using the latest vrsion of orchidee
-#-H- LMDZORINCA_v5.2  It's a temporary configuration before LMDZORINCA_v6
+#-H- LMDZORINCA_v5.2  It is a temporary configuration before LMDZORINCA_v6
 #-H- LMDZORINCA_v5.2  ORCHDIEE/trunk rev 1078 or later
 #-H- LMDZORINCA_v5.2  INCA tag INCA4.1.2
 #-H- LMDZORINCA_v5.2  LMDZ5 LMDZ5/trunk rev 2076
 #-H- LMDZORINCA_v5.2  IOIPSL/src svn tags/v2_2_2
-#-H- LMDZORINCA_v5.2  libIGCM tag libIGCM_v2.3
+#-H- LMDZORINCA_v5.2  libIGCM tag libIGCM_v2.4
 #-M- LMDZORINCA_v5.2  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5.2  IOIPSL/trunk/src			2350			8	IOIPSL/src	modeles
@@ -297,5 +297,5 @@
 #-C- LMDZORINCA_v5.2  LMDZ5/trunk			2076			11 	LMDZ		modeles
 #-C- LMDZORINCA_v5.2  tags/INCA4.1.3			HEAD			9	INCA		modeles
-#-C- LMDZORINCA_v5.2  tags/libIGCM_v2.3    		HEAD			10	libIGCM		.
+#-C- LMDZORINCA_v5.2  tags/libIGCM_v2.4    		HEAD			10	libIGCM		.
 #-C- LMDZORINCA_v5.2  CONFIG/UNIFORM/v5/LMDZORINCA_v5.2	HEAD			8	LMDZORINCA_v5	config
 
@@ -311,14 +311,14 @@
 #-H- IPSLCM5CHT_v5  INCA4 tags INCA4.1.0
 #-H- IPSLCM5CHT_v5  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5CHT_v5  OASIS3 rev 1996 trunk
+#-H- IPSLCM5CHT_v5  OASIS3 rev 2258 trunk
 #-H- IPSLCM5CHT_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM5CHT_v5  anne.cozic@lsce.ipsl.fr
 #-C- IPSLCM5CHT_v5  IOIPSL/tags/v2_2_2/src		HEAD	8	IOIPSL/src	modeles
 #-C- IPSLCM5CHT_v5  tags/ORCHIDEE_1_9_5/ORCHIDEE	HEAD	14	ORCHIDEE	modeles
-#-C- IPSLCM5CHT_v5  CPL/oasis3/trunk			1996	8	prism		.
+#-C- IPSLCM5CHT_v5  CPL/oasis3/trunk			2258	8	prism		.
 #-C- IPSLCM5CHT_v5  LMDZ5/trunk				2076	11	LMDZ		modeles
 #-C- IPSLCM5CHT_v5  CONFIG/UNIFORM/v5/IPSLCM5CHT_v5	HEAD	8	IPSLCM5CHT_v5	config
-#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.3	    		HEAD	10	libIGCM		.
+#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.4	    		HEAD	10	libIGCM		.
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/NEMO		3205	7	.		modeles
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/UTIL		3405	7	.		modeles
@@ -336,5 +336,5 @@
 #-C- LMDZREPR_v5  trunk                                HEAD               16 REPROBUS    modeles
 #-C- LMDZREPR_v5  CONFIG/UNIFORM/v5/LMDZREPR_v5        HEAD               8  LMDZREPR_v5 config
-#-C- LMDZREPR_v5  tags/libIGCM_v2.3                    HEAD               10 libIGCM     .
+#-C- LMDZREPR_v5  tags/libIGCM_v2.4                    HEAD               10 libIGCM     .
 
 
@@ -349,14 +349,14 @@
 #-H- IPSLCM5CHS_v5  LMDZ5 trunk revision 2076
 #-H- IPSLCM5CHS_v5  ORCHIDEE version orchidee_1_9_5
-#-H- IPSLCM5CHS_v5  OASIS3 rev 1996 trunk
+#-H- IPSLCM5CHS_v5  OASIS3 rev 2258 trunk
 #-H- IPSLCM5CHS_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.3
+#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.4
 #-M- IPSLCM5CHS_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5CHS_v5  IOIPSL/tags/v2_2_2/src          HEAD         8  IOIPSL/src     modeles
 #-C- IPSLCM5CHS_v5  tags/ORCHIDEE_1_9_5/ORCHIDEE    HEAD        14  ORCHIDEE	   modeles
-#-C- IPSLCM5CHS_v5  CPL/oasis3/trunk                1996         8  prism          .
+#-C- IPSLCM5CHS_v5  CPL/oasis3/trunk                2258         8  prism          .
 #-C- IPSLCM5CHS_v5  LMDZ5/trunk                     2076        11  LMDZ           modeles
 #-C- IPSLCM5CHS_v5  CONFIG/UNIFORM/v5/IPSLCM5CHS_v5 HEAD         8  IPSLCM5CHS_v5  config
-#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.3               HEAD        10  libIGCM        .
+#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.4               HEAD        10  libIGCM        .
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/NEMO        3205         7  .              modeles
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/UTIL        3405         7  .              modeles
@@ -371,8 +371,8 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.2
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.3
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.4
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_2/src			   HEAD        8  IOIPSL/src			modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.3    		       	   HEAD       10  libIGCM         		.
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.4    		       	   HEAD       10  libIGCM         		.
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 HEAD       14  ORCHIDEE			modeles
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL              HEAD       14  ORCHIDEE_OL			modeles
@@ -387,8 +387,8 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.3
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.4
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_2/src	               HEAD        8 IOIPSL/src			modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.3          		       HEAD       10 libIGCM			.
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.4          		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 HEAD       14 ORCHIDEE			modeles
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL              HEAD       14 ORCHIDEE_OL		modeles
@@ -406,8 +406,8 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL tag v2.2.2
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.3
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.4
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_2/src                   HEAD    8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.3                        HEAD   10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.4                        HEAD   10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       14 .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL              ?       14 .
@@ -425,8 +425,8 @@
 #-H- ORCHIDEE_trunk  ORCHIDEE trunk HEAD (possible to be use with rev 1042 or later)
 #-H- ORCHIDEE_trunk  IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_trunk  libIGCM tag v2.3 
+#-H- ORCHIDEE_trunk  libIGCM tag v2.4 
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_2/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  tags/libIGCM_v2.3                        HEAD    10 libIGCM            .
+#-C- ORCHIDEE_trunk  tags/libIGCM_v2.4                        HEAD    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
@@ -443,5 +443,5 @@
 #-H- NEMO  XMLF90 svn trunk revision 420
 #-H- NEMO  XMLIO_SERVER svn trunk revision 420
-#-H- NEMO  libIGCM tag libIGCM_v2.3
+#-H- NEMO  libIGCM tag libIGCM_v2.4
 #-M- NEMO  nemo_st@locean-ipsl.upmc.fr
 #-C- NEMO  IOIPSL/tags/v2_2_1/src                             HEAD  8  IOIPSL/src             modeles
@@ -450,5 +450,5 @@
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLF90                HEAD  7  XMLF90/external        modeles
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLIO_SERVER          HEAD  7  XMLIO_SERVER/external  modeles
-#-C- NEMO  tags/libIGCM_v2.3                                  HEAD  10 libIGCM                .
+#-C- NEMO  tags/libIGCM_v2.4                                  HEAD  10 libIGCM                .
 #-C- NEMO  branches/CMIP5_IPSL/AGRIF                          HEAD  7  .                      modeles
 #-C- NEMO  branches/CMIP5_IPSL/NEMO                           HEAD  7  .                      modeles
@@ -467,7 +467,7 @@
 
 #-H- NEMOGCM  NEMOGCM  in forced mode   version since v3.4  Compilation using FCM
-#-H- NEMOGCM  libIGCM tag libIGCM_v2.3
+#-H- NEMOGCM  libIGCM tag libIGCM_v2.4
 #-M- NEMOGCM  Christian.Ethe@ipsl.jussieu.fr
-#-C- NEMOGCM  tags/libIGCM_v2.3                                                          HEAD  10 libIGCM                 .
+#-C- NEMOGCM  tags/libIGCM_v2.4                                                          HEAD  10 libIGCM                 .
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM                                 HEAD  7  .                       modeles
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00         HEAD  7  ORCA2_LIM/IGCM00        config