Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2372)
@@ -88,5 +88,8 @@
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
 	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .)    
 
 [RestartFiles]
@@ -115,7 +118,7 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl, swtoaas_ant, swtoacs_ant, swtoacf_ant, swsrfas_ant, swsrfcs_ant, swsrfcf_ant, swtoaas_nat, swtoacs_nat, swtoacf_nat, swsrfas_nat, swsrfcs_nat, swsrfcf_nat, solswai, swtoacf_zero, swsrfcf_zero)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, rlu, rsu, rld, rsd, rlucs, rsucs, rldcs, rsdcs, tnt, dtdyn, dtphy, dtlschr, tntr, tntscpbl, tnhus, dqdyn, dqvdf, tnhusscpbl, dqphy, evu, kz, mcd)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl, swtoaas_ant, swtoacs_ant, swtoacf_ant, swsrfas_ant, swsrfcs_ant, swsrfcf_ant, swtoaas_nat, swtoacs_nat, swtoacf_nat, swsrfas_nat, swsrfcs_nat, swsrfcf_nat, solswai, solswad, swtoacf_zero, swsrfcf_zero)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, tnt, dtdyn, dtphy, dtlschr, tntr, tntscpbl, tnhus, dqdyn, dqvdf, tnhusscpbl, dqphy, evu, mcd)
 ChunckJob3D = 100Y
 Seasonal=ON
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2372)
@@ -55,5 +55,6 @@
         (${config_UserChoices_JobName}_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
         (${config_UserChoices_JobName}_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc, Post_1M_grid_V),\
-        (${config_UserChoices_JobName}_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, Post_1M_grid_W),\
+        (${config_UserChoices_JobName}_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, NONE),\
+        (${config_UserChoices_JobName}_1m_diaptr.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr.nc, Post_1M_diaptr),\
         (${config_UserChoices_JobName}_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc, Post_1D_grid_T),\
         (${config_UserChoices_JobName}_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_1D_grid_U),\
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2363)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2372)
@@ -50,5 +50,5 @@
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
-TimeSeriesVars3D = (Alkalini, DCHL, DIC, Fer, NCHL, NO3, O2, PO4)
+TimeSeriesVars3D = (Alkalini, BFe, CaCO3, DCHL, DFe, DIC, DOC, DSi, Fer, GOC, GSi, NCHL, NFe, NH4, NO3, O2, PHY, PHY2, PO4, POC, SFe, Si, ZOO, ZOO2)
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -57,7 +57,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2)
+TimeSeriesVars2D = (Cflx, Dpco2, Dpo2, EPC100, EPCAL100, EPFE100, EPSI100, Heup, Irondep, Kg, Nfix, Oflx)
 ChunckJob2D = NONE
-TimeSeriesVars3D = ( )
+TimeSeriesVars3D = (PPPHY, PPPHY2, PPNEWN, PPNEWD, PAR, PH)
 ChunckJob3D = 50Y
 Seasonal=ON