Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2391)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2392)
@@ -21,6 +21,6 @@
 List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
 	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+	    (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2391)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2392)
@@ -71,8 +71,8 @@
 
 [BoundaryFiles]
-List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
+List=   (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/LIMIT/ERAI/limit_${year}.nc , limit.nc)
 
-#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
-#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2391)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2392)
@@ -21,6 +21,6 @@
 List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
 	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+	    (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2391)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2392)
@@ -70,8 +70,8 @@
 
 [BoundaryFiles]
-List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
+List=   (${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/LIMIT/ERAI/limit_${year}.nc , limit.nc)
 
-#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
-#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/ERAI/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()