Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2396)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2397)
@@ -32,11 +32,22 @@
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-# config.card configuration options :
-#R_INIT=/u/rech/psl/rpsl035/IGCM/INIT
-#R_INIT=/dmnfs/cont003/p86ipsl/IGCM/INIT
-#R_BC=/u/rech/psl/rpsl035/IGCM/BC
-#R_BC=/dmnfs/cont003/p86ipsl/IGCM/BC
-#============================
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_AR5)
+SRF= (orchidee, ORCHIDEE_1_9_5)
+SBG= (stomate, ORCHIDEE_1_9_5)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, lmdz.x, 31MPI, 1OMP)
+SRF= ("", "")
+SBG= ("", "")
+IOS= (xios_server.exe, xios.x, 1MPI)
 
 #========================================================================
@@ -113,22 +124,4 @@
 
 #========================================================================
-#D-- ListOfComponents -
-[ListOfComponents]
-#D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_AR5)
-SRF= (orchidee, ORCHIDEE_1_9_5)
-SBG= (stomate, ORCHIDEE_1_9_5)
-IOS= (xios, XIOS)
-
-#========================================================================
-#D-- Executable -
-[Executable]
-#D- For each component, Real name of executable, Name of executable for oasis
-ATM= (gcm.e, lmdz.x, 32MPI, 1OMP)
-SRF= ("", "")
-SBG= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
-
-#========================================================================
 #D-- Post -
 [Post]
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2396)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2397)
@@ -32,11 +32,22 @@
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-# config.card configuration options :
-#R_INIT=/u/rech/psl/rpsl035/IGCM/INIT
-#R_INIT=/dmnfs/cont003/p86ipsl/IGCM/INIT
-#R_BC=/u/rech/psl/rpsl035/IGCM/BC
-#R_BC=/dmnfs/cont003/p86ipsl/IGCM/BC
-#============================
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_AR5)
+SRF= (orchidee, ORCHIDEE_1_9_5)
+SBG= (stomate, ORCHIDEE_1_9_5)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, lmdz.x, 31MPI, 1OMP)
+SRF= ("", "")
+SBG= ("", "")
+IOS= (xios_server.exe, xios.x, 1MPI)
 
 #========================================================================
@@ -113,22 +124,4 @@
 
 #========================================================================
-#D-- ListOfComponents -
-[ListOfComponents]
-#D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_AR5)
-SRF= (orchidee, ORCHIDEE_1_9_5)
-SBG= (stomate, ORCHIDEE_1_9_5)
-IOS= (xios, XIOS)
-
-#========================================================================
-#D-- Executable -
-[Executable]
-#D- For each component, Real name of executable, Name of executable for oasis
-ATM= (gcm.e, lmdz.x, 32MPI, 1OMP)
-SRF= ("", "")
-SBG= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
-
-#========================================================================
 #D-- Post -
 [Post]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2396)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/config.card	(revision 2397)
@@ -32,11 +32,22 @@
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-# config.card configuration options :
-#R_INIT=/u/rech/psl/rpsl035/IGCM/INIT
-#R_INIT=/dmnfs/cont003/p86ipsl/IGCM/INIT
-#R_BC=/u/rech/psl/rpsl035/IGCM/BC
-#R_BC=/dmnfs/cont003/p86ipsl/IGCM/BC
-#============================
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_AR5)
+SRF= (orchidee, ORCHIDEE_1_9_5)
+SBG= (stomate, ORCHIDEE_1_9_5)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, lmdz.x, 31MPI, 1OMP)
+SRF= ("", "")
+SBG= ("", "")
+IOS= (xios_server.exe, xios.x, 1MPI)
 
 #========================================================================
@@ -113,22 +124,4 @@
 
 #========================================================================
-#D-- ListOfComponents -
-[ListOfComponents]
-#D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_AR5)
-SRF= (orchidee, ORCHIDEE_1_9_5)
-SBG= (stomate, ORCHIDEE_1_9_5)
-IOS= (xios, XIOS)
-
-#========================================================================
-#D-- Executable -
-[Executable]
-#D- For each component, Real name of executable, Name of executable for oasis
-ATM= (gcm.e, lmdz.x, 32MPI, 1OMP)
-SRF= ("", "")
-SBG= ("", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
-
-#========================================================================
 #D-- Post -
 [Post]