Index: CONFIG/UNIFORM/v6/IPSLCM6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2536)
+++ CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2537)
@@ -11,4 +11,10 @@
 	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) ORCA2LIM2xLMD9695-L39 ; fi
 
+IPSCLM6A-VLR :	
+	$(M_K) ORCA2LIM2xLMD9695-L39
+
+IPSLCM6-LR :
+	$(M_K) ORCA1LIM3xLMD144142-L79-NOPISCES
+
 ORCA2LIM2xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz96x95x39 verif
 	echo "ORCA2LIM2xLMD9695-L39" >.resol
@@ -21,10 +27,4 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM2xLMD9695-L39-NOPISCES : libioipsl oasis3-mct xios liborchidee orca2lim2nopisces lmdz96x95x39 verif
-	echo "ORCA2LIM2xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "NOPISCES" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
 ORCA2LIM2xLMD144142-L39 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz144x142x39 verif
 	echo "ORCA2LIM2xLMD144142-L39" >.resol
@@ -32,45 +32,10 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM2xLMD144142-L59 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz144x142x59 verif
-	echo "ORCA2LIM2xLMD144142-L59" >.resol
-	echo "RESOL_ATM_3D=144x142x59" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM2xLMD144142-L79 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz144x142x79 verif
-	echo "ORCA2LIM2xLMD144142-L79" >.resol
-	echo "RESOL_ATM_3D=144x142x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM3xLMD144142-L39 : libioipsl oasis3-mct xios liborchidee orca2lim3 lmdz144x142x39 verif
-	echo "ORCA2LIM3xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM3xLMD144142-L59 : libioipsl oasis3-mct xios liborchidee orca2lim3 lmdz144x142x59 verif
-	echo "ORCA2LIM3xLMD144142-L59" >.resol
-	echo "RESOL_ATM_3D=144x142x59" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM2xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca1lim2 lmdz96x95x39 verif
-	echo "ORCA1LIM2xLMD9695-L39" >.resol
+ORCA1LIM3xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz96x95x39 verif
+	echo "ORCA1LIM3xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA1LIM2xLMD144142-L39 : libioipsl oasis3-mct xios liborchidee orca1lim2 lmdz144x142x39 verif
-	echo "ORCA1LIM2xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpii
-
-ORCA1LIM2xLMD144142-L59 : libioipsl oasis3-mct xios liborchidee orca1lim2 lmdz144x142x59 verif
-	echo "ORCA1LIM2xLMD144142-L59" >.resol
-	echo "RESOL_ATM_3D=144x142x59" >>.resol
-	echo "$(LIB_MPI)" >.libmpii
-
-ORCA1LIM2xLMD144142-L79 : libioipsl oasis3-mct xios liborchidee orca1lim2 lmdz144x142x79 verif
-	echo "ORCA1LIM2xLMD144142-L79" >.resol
-	echo "RESOL_ATM_3D=144x142x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpii
-
-ORCA1LIM3xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz96x95x39 verif
+ORCA1LIM3xLMD9695-L39-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz96x95x39 verif
 	echo "ORCA1LIM3xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
@@ -82,10 +47,15 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA1LIM3xLMD144142-L59 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz144x142x59 verif
-	echo "ORCA1LIM3xLMD144142-L59" >.resol
-	echo "RESOL_ATM_3D=144x142x59" >>.resol
+ORCA1LIM3xLMD144142-L39-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz144x142x39 verif
+	echo "ORCA1LIM3xLMD144142-L39" >.resol
+	echo "RESOL_ATM_3D=144x142x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
 ORCA1LIM3xLMD144142-L79 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz144x142x79 verif
+	echo "ORCA1LIM3xLMD144142-L79" >.resol
+	echo "RESOL_ATM_3D=144x142x79" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA1LIM3xLMD144142-L79-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz144x142x79 verif
 	echo "ORCA1LIM3xLMD144142-L79" >.resol
 	echo "RESOL_ATM_3D=144x142x79" >>.resol
@@ -107,7 +77,4 @@
 	$(M_K) lmdz RESOL_LMDZ=144x142x39
 
-lmdz144x142x59:
-	$(M_K) lmdz RESOL_LMDZ=144x142x59
-
 lmdz144x142x79:
 	$(M_K) lmdz RESOL_LMDZ=144x142x79
@@ -121,17 +88,17 @@
 
 orca2lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_oasis3 key_diahth key_diaar5" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca2lim2nopisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_oasis3 key_diahth key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis3 key_oasis_mct key_diahth key_diaar5" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca2lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim3 key_oasis3 key_top key_pisces key_diahth key_diaar5 key_vvl key_dynspg_ts" del_key "key_lim2 key_dynspg_flt key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim3 key_coupled key_oasis3 key_oasis_mct key_top key_pisces key_diahth key_diaar5" del_key "key_lim2 key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca1lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -j16 add_key "key_oasis3 key_top key_pisces key_diahth key_diaar5" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -j16 add_key "key_oasis3 key_top key_pisces key_diahth key_diaar5"  del_key "key_mpp_rep key_nosignedzero                  " ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+
+orca1lim3nopisces: ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -j16 add_key "key_oasis3                    key_diahth key_diaar5" del_key "key_mpp_rep key_nosignedzero key_top key_pisces" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; ) 
 
 orca1lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM2_PISCES -d "OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_top key_pisces key_lim2 key_lim2_vp key_oasis3 key_diahth key_diaar5 key_vvl" del_key "key_lim3 key_nosignedzero " ; cp ORCA1_LIM2_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM2_PISCES -d "OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_top key_pisces key_lim2 key_lim2_vp key_coupled key_oasis3 key_oasis_mct key_diahth key_diaar5 key_vvl" del_key "key_lim3 key_nosignedzero " ; cp ORCA1_LIM2_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin