Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/Bands_144x142x79_47prc.dat_3
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/Bands_144x142x79_47prc.dat_3	(revision 2564)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/Bands_144x142x79_47prc.dat_3	(revision 2564)
@@ -0,0 +1,188 @@
+           0           3
+           1           3
+           2           3
+           3           3
+           4           3
+           5           3
+           6           3
+           7           3
+           8           3
+           9           3
+          10           3
+          11           3
+          12           3
+          13           3
+          14           3
+          15           3
+          16           3
+          17           3
+          18           3
+          19           3
+          20           3
+          21           3
+          22           3
+          23           3
+          24           3
+          25           3
+          26           3
+          27           3
+          28           3
+          29           3
+          30           3
+          31           3
+          32           4
+          33           4
+          34           3
+          35           3
+          36           3
+          37           3
+          38           3
+          39           3
+          40           3
+          41           3
+          42           3
+          43           3
+          44           3
+          45           3
+          46           3
+           0           4
+           1           4
+           2           3
+           3           3
+           4           3
+           5           3
+           6           3
+           7           3
+           8           3
+           9           3
+          10           3
+          11           3
+          12           3
+          13           3
+          14           3
+          15           3
+          16           3
+          17           3
+          18           3
+          19           3
+          20           3
+          21           3
+          22           3
+          23           3
+          24           3
+          25           3
+          26           3
+          27           3
+          28           3
+          29           3
+          30           3
+          31           3
+          32           3
+          33           3
+          34           3
+          35           3
+          36           3
+          37           3
+          38           3
+          39           3
+          40           3
+          41           3
+          42           3
+          43           3
+          44           3
+          45           3
+          46           3
+           0           4
+           1           4
+           2           3
+           3           3
+           4           3
+           5           3
+           6           3
+           7           3
+           8           3
+           9           3
+          10           3
+          11           3
+          12           3
+          13           3
+          14           3
+          15           3
+          16           3
+          17           3
+          18           3
+          19           3
+          20           3
+          21           3
+          22           3
+          23           3
+          24           3
+          25           3
+          26           3
+          27           3
+          28           3
+          29           3
+          30           3
+          31           3
+          32           3
+          33           3
+          34           3
+          35           3
+          36           3
+          37           3
+          38           3
+          39           3
+          40           3
+          41           3
+          42           3
+          43           3
+          44           3
+          45           3
+          46           3
+           0         433
+           1         433
+           2         432
+           3         432
+           4         432
+           5         432
+           6         432
+           7         432
+           8         432
+           9         432
+          10         432
+          11         432
+          12         432
+          13         432
+          14         432
+          15         432
+          16         432
+          17         432
+          18         432
+          19         432
+          20         432
+          21         432
+          22         432
+          23         432
+          24         432
+          25         432
+          26         432
+          27         432
+          28         432
+          29         432
+          30         432
+          31         432
+          32         432
+          33         432
+          34         432
+          35         432
+          36         432
+          37         432
+          38         432
+          39         432
+          40         432
+          41         432
+          42         432
+          43         432
+          44         432
+          45         432
+          46         432