Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2568)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2582)
@@ -3,17 +3,19 @@
 
 [UserChoices]
-# Physics package to use : 
-# LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources 
-# LMDZ_Physics=NPv3.1 for new physics, to be used with LMDZ5/trunk revision 1554 or later
+# Physics package to use :
+# LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
+# LMDZ_Physics=NPv3.2 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 #LMDZ_Physics=AP
-#LMDZ_Physics=NPv4.12
 LMDZ_Physics=NPv5.17c
 
-# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
+# Use XIOS as output library
+XIOS=y
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes.
 # The parameter file PARAM/config.def_$ConfType will be used.
 # ConfType=preind/actuel/annuel
 ConfType=preind
 
-# manage radiative aerosol effect and ozone 
+# manage radiative aerosol effect and ozone
 flag_aerosol=6
 ok_ade=y
@@ -27,31 +29,28 @@
 
 # ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
-ByPass_hgardfou_mats= n
+ByPass_hgardfou_mats=n
 
 # Number of periods where to set parameter adjust=y before switching to adjust=n
-# For adjust=n, set LMDZ_NbPeriod_ajust=0. 
+# For adjust=n, set LMDZ_NbPeriod_ajust=0.
 LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
-#LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
 LMDZ_Bands_file_name=${SUBMIT_DIR}/PARAM/Bands_144x142x79_47prc.dat_3
 
 # Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
 # OutLevel=low/medium/high
-OutLevel=medium
+OutLevel=low
 
 # Set COSP activation and Outputs frequency (monthly, daily, HF) = y/n
 LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
+LMDZ_COSP_monthly=n
+LMDZ_COSP_daily=n
 LMDZ_COSP_hf=n
 
 # Set NMC Outputs frequency (monthly, daily, HF) = y/n
 LMDZ_NMC_monthly=y
-LMDZ_NMC_daily=y
+LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
-
-# Use XIOS as output library
-XIOS=y
 
 [InitialStateFiles]
@@ -59,5 +58,4 @@
        (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}xLMD${RESOL_ATM_3D}/startphy.nc , . )
 
-    
 [BoundaryFiles]
 List=   ()
@@ -65,58 +63,58 @@
 # With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
 ListNonDel= (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v5.nc, aerosols.nat.nc),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/climoz_LMDZ_1855_v2.nc, climoz_LMDZ.nc)
+            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/climoz_LMDZ_1855_v2.nc, climoz_LMDZ.nc)
 
 [SmoothFiles]
-List=	()
+List=   ()
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
-        (${SUBMIT_DIR}/PARAM/ep_param.data_${LMDZ_Physics},    ep_param.data),    \
-        (${SUBMIT_DIR}/PARAM/conv_param.data_${LMDZ_Physics},    conv_param.data),    \
-	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
-	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
-	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/output.def_${OutLevel},  output.def),    \
-	(${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),    \
-        (${SUBMIT_DIR}/PARAM/guide.def, .), \
-	(${SUBMIT_DIR}/PARAM/run.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .), \
-	(${SUBMIT_DIR}/PARAM/iodef.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . )            ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . )          ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . )   ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . )    ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . )   ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )   ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . )   ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . )   ,\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
-	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .)    
+List=   (${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
+        (${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),          \
+        (${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),          \
+        (${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),          \
+        (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
+        (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
+        (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
+        (${SUBMIT_DIR}/PARAM/traceur.def, .),                               \
+        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . ),    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf3h_lmdz.xml, . ),  \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf3hm_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
+
+
 
 [RestartFiles]
-List=	(restart.nc, restart.nc, start.nc), \
-	(restartphy.nc, restartphy.nc,  startphy.nc)
+List=   (restart.nc, restart.nc, start.nc), \
+        (restartphy.nc, restartphy.nc,  startphy.nc)
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml,field_def_lmdz.xml,debug.01, out_lmdz.x.out, out_lmdz.x.err)
-#List=   (lmdz.x.prt)
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml,field_def_lmdz.xml,debug.01,lmdz.prt)
 
 [OutputFiles]
-List=	(histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
-	(histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),   \
-	(histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
-	(dynzon.nc,        ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,        NONE),        \
+List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
+        (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
         (paramLMDZ_phy.nc, ${R_OUT_ATM_O_M}/${PREFIX}_1M_paramLMDZ_phy.nc, Post_1M_paramLMDZ_phy), \
-	(histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       Post_1D_histday),       \
-	(histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),   \
-	(histdayNMC.nc,    ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,    Post_1D_histdayNMC),    \
-	(histhf.nc,        ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,        NONE),        \
-	(histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    NONE),    \
-	(histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     NONE),     \
-	(histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      NONE) 
+        (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
+        (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
+        (histdayNMC.nc,    ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,    NONE),                  \
+        (histhf.nc,        ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,        NONE),                  \
+        (histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    NONE),                  \
+        (histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     NONE),                  \
+        (histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      NONE),                  \
+        (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     NONE)
 
 [Post_1M_histmth]
@@ -133,5 +131,5 @@
 GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = OFF 
+ChunckJob2D = OFF
 TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
 ChunckJob3D = OFF
@@ -143,16 +141,7 @@
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
-ChunckJob3D = 100Y
+TimeSeriesVars3D = (ta, tro3, zg, hus, hur, ua, va, wap)
+ChunckJob3D = NONE
 Seasonal=ON
-
-[Post_1M_dynzon]
-Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
 
 [Post_1M_paramLMDZ_phy]
@@ -219,11 +208,19 @@
 Seasonal=OFF
 
+[Post_3H_histhf3hm]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
+TimeSeriesVars2D = (flat, precip, pluc, snow, topl, topl0, SWupTOA, SWupTOAclr, SWdnTOA, SWupSFC, SWupSFCclr, SWdnSFC, SWdnSFCclr, LWupSFC, LWupSFCclr, LWdnSFC, LWdnSFCclr, bils, bils_tke, bils_diss, bils_ec, bils_kinetic, bils_enthalp, bils_latent, sens, cldt, zmax_th)
+ChunckJob2D = OFF
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
+
 [Post_3H_histhf3h]
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
-TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils)
+TimeSeriesVars2D = (phis, tsol, t2m, q2m, ustar, u10m, v10m, psol)
 ChunckJob2D = OFF
 TimeSeriesVars3D = ()
 ChunckJob3D = OFF
 Seasonal=OFF
-
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card	(revision 2568)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/orchidee.card	(revision 2582)
@@ -9,30 +9,25 @@
 DefSuffix=Choi
 
-sechiba_LEVEL=11
-
-# Use XIOS as output library
-XIOS=y
-
 [InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,          . ), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/cartepente2d_15min.nc, .), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap_IPCC_1850.nc, PFTmap.nc)
+List=   (${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,            .), \
+        (${R_INIT}/SRF/${config_UserChoices_TagName}/cartepente2d_15min.nc, .), \
+        (${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap_IPCC_1850.nc,   PFTmap.nc)
 
 [BoundaryFiles]
-List=   (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc,      . )
+List=   (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, . )
 ListNonDel= ()
 
 [SmoothFiles]
-List=()
+List=   ()
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)
+List=   (${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def),  \
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .),  \
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .),\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+List=   (sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
 
 [OutputText]
@@ -40,7 +35,7 @@
 
 [OutputFiles]
-List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
-        (sechiba_out_2.nc, ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc, NONE), \
-        (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc, NONE)
+List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE),                    \
+        (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc,        NONE)
 
 [Post_1M_sechiba_history]
@@ -51,12 +46,12 @@
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
 ChunckJob3D = NONE
-Seasonal=ON
+Seasonal = ON
 
 [Post_HF_sechiba_out_2]
-Patches= ()
-GatherWithInternal= (lon, lat, time_counter, Areas, Contfrac, time_counter_bounds)
-TimeSeriesVars2D= (mrsos, mrro)
-ChunckJob2D= 50Y
-TimeSeriesVars3D= (ptn)
-ChunckJob3D= 10Y
-Seasonal= OFF
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_counter_bounds)
+TimeSeriesVars2D = (mrsos, mrro)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (ptn)
+ChunckJob3D = 10Y
+Seasonal = OFF
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/stomate.card	(revision 2568)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/stomate.card	(revision 2582)
@@ -3,5 +3,4 @@
 
 [UserChoices]
-stomate_LEVEL=10
 
 [InitialStateFiles]
@@ -9,9 +8,9 @@
 
 [BoundaryFiles]
-List=	()
+List=   ()
 ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
 
 [SmoothFiles]
-List=	()
+List=   ()
 
 [ParametersFiles]
@@ -20,5 +19,5 @@
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List=	(stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+List=   (stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
 
 [OutputText]
@@ -26,22 +25,22 @@
 
 [OutputFiles]
-List=	(stomate_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc, Post_1M_stomate_history) \
-    (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
+List=   (stomate_history.nc,      ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc,      Post_1M_stomate_history),    \
+        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
 
 [Post_1M_stomate_history]
-Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, Areas, time_counter_bounds)
-TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
+Patches = ()
+GatherWithInternal = (lon, lat, PFT, time_counter, Areas, time_counter_bounds)
+TimeSeriesVars2D = (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (LAI,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN)
 ChunckJob3D = NONE
-Seasonal=ON
+Seasonal = ON
 
 [Post_1M_stomate_ipcc_history]
-Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, Areas, CONTFRAC, time_counter_bounds)
-TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
+Patches = ()
+GatherWithInternal = (lon, lat, PFT, time_counter, Areas, CONTFRAC, time_counter_bounds)
+TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
-TimeSeriesVars3D=()
+TimeSeriesVars3D = ()
 ChunckJob3D = NONE
-Seasonal=ON
+Seasonal = ON