Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 2585)
@@ -20,16 +20,16 @@
 
 [BoundaryFiles]
-List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Ozone/HYBRIDE/v2.clim/tro3_${year}.new.nc, climoz.nc)
+List=   (${R_IN}/ATM/AMIP/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
+	(${R_IN}/ATM/AMIP/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc), \
+	(${R_IN}/ATM/Ozone/HYBRIDE/v2.clim/tro3_${year}.new.nc, climoz.nc)
 
-ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECPHY.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Relief.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .)
+ListNonDel= (${R_IN}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
+	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Rugos.nc, .), \
+	(${R_IN}/ATM/landiceref.nc, .)
 ### Please, add the o2a.nc file to fit with the coupled configuration associated
-#	(${R_INIT}/ATM/IPSLCM5A/ORCA2.3x${RESOL_ATM}/o2a.nc, o2a.nc)
+#	(${R_IN}/ATM/ORCA2.3x${RESOL_ATM}/o2a.nc, o2a.nc)
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 2585)
@@ -22,15 +22,15 @@
 List= ()
 
-ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc.20020101, ECDYN.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECPHY.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Relief.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .) \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Ozone/HYBRIDE/v2.clim/tro3_1995.new.nc, climoz.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sst_bc_clim.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sic_bc_clim.nc, amipbc_sic_1x1.nc)
+ListNonDel= (${R_IN}/ATM/Albedo.nc, .), \
+	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
+	(${R_IN}/ATM/ECPHY.nc, .), \
+	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Rugos.nc, .), \
+	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/Ozone/HYBRIDE/v2.clim/tro3_1995.new.nc, climoz.nc), \
+	(${R_IN}/ATM/AMIP/sst_bc_clim.nc, amipbc_sst_1x1.nc), \
+	(${R_IN}/ATM/AMIP/sic_bc_clim.nc, amipbc_sic_1x1.nc)
 ### Please, add the o2a.nc file to fit with the coupled configuration associated
-#	(${R_INIT}/ATM/IPSLCM5A/ORCA2.3x${RESOL_ATM}/o2a.nc, o2a.nc)
+#	(${R_IN}/ATM/ORCA2.3x${RESOL_ATM}/o2a.nc, o2a.nc)
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2585)
@@ -65,15 +65,15 @@
 
 [BoundaryFiles]
-List=   (${ARCHIVE}/IGCM_OUT/LMDZ/${CREATE}/ATM/Output/Boundary/${CREATE}_${year}_limit.nc, limit.nc),\
-        (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_${year}_v5.nc, aerosols${year}.nc), \
+List=   (${ARCHIVE}/IGCM_OUT/LMDZ/${CREATE}/ATM/Output/Boundary/${CREATE}_${year}_limit.nc,       limit.nc),\
+        (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_${year}_v5.nc,              aerosols${year}.nc),\
         (${ARCHIVE}/IGCM_OUT/LMDZ/${CREATE}/ATM/Output/Boundary/${CREATE}_${year}_climoz_LMDZ.nc, climoz_LMDZ.nc)
 
-ListNonDel= (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CO2_1765_2005.txt, CO2.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CH4_1765_2005.txt, CH4.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/N2O_1765_2005.txt, N2O.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC11_1765_2005.txt, CFC11.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC12_1765_2005.txt, CFC12.txt),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v5.nc, aerosols.nat.nc)
+ListNonDel= (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt),\
+            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/CO2_1765_2005.txt, CO2.txt),\
+            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/CH4_1765_2005.txt, CH4.txt),\
+            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/N2O_1765_2005.txt, N2O.txt),\
+            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/CFC11_1765_2005.txt, CFC11.txt),\
+            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/CFC12_1765_2005.txt, CFC12.txt),\
+            (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v5.nc, aerosols.nat.nc)
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2585)
@@ -13,10 +13,10 @@
 
 [InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc,      . ), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,          . ), \
-        (${R_INIT}/SRF/${config_UserChoices_TagName}/cartepente2d_15min.nc, .)
+List=	(${R_IN}/SRF/soils_param.nc,        . ), \
+	(${R_IN}/SRF/routing.nc,            . ), \
+        (${R_IN}/SRF/cartepente2d_15min.nc, .)
 
 [BoundaryFiles]
-List=(${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year_p1}.nc, PFTmap.nc)
+List=(${R_IN}/SRF/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year_p1}.nc, PFTmap.nc)
 ListNonDel= ()
 
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2585)
@@ -9,5 +9,5 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
+ListNonDel= (${R_IN}/SRF/reftemp.nc, .)
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2585)
@@ -71,6 +71,6 @@
 ListNonDel= (${ARCHIVE}/IGCM_OUT/LMDZ/${CREATE}/ATM/Output/Boundary/${CREATE}_clim_limit.nc, limit.nc),\
             (${ARCHIVE}/IGCM_OUT/LMDZ/${CREATE}/ATM/Output/Boundary/${CREATE}_climoz_LMDZ.nc, climoz_LMDZ.nc),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995_v5.nc, aerosols1980.nc),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860_v5.nc, aerosols.nat.nc)
+            (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995_v5.nc, aerosols1980.nc),\
+            (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860_v5.nc, aerosols.nat.nc)
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2585)
@@ -13,8 +13,8 @@
 
 [InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc,      . ), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,          . ), \
-	(${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_2000.nc, PFTmap.nc), \
-        (${R_INIT}/SRF/${config_UserChoices_TagName}/cartepente2d_15min.nc, .)
+List=	(${R_IN}/SRF/soils_param.nc,      . ), \
+	(${R_IN}/SRF/routing.nc,          . ), \
+	(${R_IN}/SRF/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_2000.nc, PFTmap.nc), \
+        (${R_IN}/SRF/cartepente2d_15min.nc, .)
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2583)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2585)
@@ -9,5 +9,5 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
+ListNonDel= (${R_IN}/SRF/reftemp.nc, .)
 
 [SmoothFiles]