Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2586)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2587)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -68,5 +66,4 @@
 ##  Avec ou sans strato
 ok_strato=y 
-ok_hines=y
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
 iflag_top_bound=2
@@ -86,7 +83,7 @@
 fxyhypb=y
 ## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
-dzoomx=0.15
+dzoomx=0.0
 ## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
-dzoomy=0.15
+dzoomy=0.0
 ##raideur du zoom en  X
 taux=3.
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79	(revision 2586)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79	(revision 2587)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -68,5 +66,4 @@
 ##  Avec ou sans strato
 ok_strato=y 
-ok_hines=y
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
 iflag_top_bound=2
@@ -86,7 +83,7 @@
 fxyhypb=y
 ## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
-dzoomx=0.15
+dzoomx=0.0
 ## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
-dzoomy=0.15
+dzoomy=0.0
 ##raideur du zoom en  X
 taux=3.
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/gcm.def_144x142x79
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2586)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2587)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -68,5 +66,4 @@
 ##  Avec ou sans strato
 ok_strato=y 
-ok_hines=y
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
 iflag_top_bound=2
@@ -86,7 +83,7 @@
 fxyhypb=y
 ## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
-dzoomx=0.15
+dzoomx=0.0
 ## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
-dzoomy=0.15
+dzoomy=0.0
 ##raideur du zoom en  X
 taux=3.
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2586)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x79	(revision 2587)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -68,5 +66,4 @@
 ##  Avec ou sans strato
 ok_strato=y 
-ok_hines=y
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
 iflag_top_bound=2
@@ -86,7 +83,7 @@
 fxyhypb=y
 ## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
-dzoomx=0.15
+dzoomx=0.0
 ## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
-dzoomy=0.15
+dzoomy=0.0
 ##raideur du zoom en  X
 taux=3.
Index: CONFIG/UNIFORM/v6_rc0/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79
===================================================================
--- CONFIG/UNIFORM/v6_rc0/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79	(revision 2586)
+++ CONFIG/UNIFORM/v6_rc0/IPSLCM6CHT/GENERAL/PARAM/gcm.def_144x142x79	(revision 2587)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -68,5 +66,4 @@
 ##  Avec ou sans strato
 ok_strato=y 
-ok_hines=y
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
 iflag_top_bound=2
@@ -86,7 +83,7 @@
 fxyhypb=y
 ## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
-dzoomx=0.15
+dzoomx=0.0
 ## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
-dzoomy=0.15
+dzoomy=0.0
 ##raideur du zoom en  X
 taux=3.